# $Revision: 1.63 $, $Date: 2011/02/21 16:05:33 $
# TODO:
# - figure out how to kill mod-mono-server.exe process when apache is restarted
%define		mod_name	mod_mono
%define 	apxs		/usr/sbin/apxs
Summary:	Mono module for Apache 2
Summary(pl.UTF-8):	Moduł Mono dla serwera Apache 2
Name:		apache-%{mod_name}
Version:	2.10
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Networking/Daemons/HTTP
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/mod_mono/%{mod_name}-%{version}.tar.bz2
# Source0-md5:	422c533a0dfbd699eb6339234261150a
Patch0:		apache-mod_mono-ac.patch
URL:		http://www.mono-project.com/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 2.10
BuildRequires:	pkgconfig
Requires:	apache(modules-api) = %apache_modules_api
Requires:	mono-csharp >= 2.10
Requires:	xsp >= 2.10
Obsoletes:	mod_mono
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_httpdir	/home/services/httpd
%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
This is an experimental module that allows you to run ASP.NET pages on
Unix with Apache and Mono.

%description -l pl.UTF-8
Ten eksperymentalny moduł umożliwia uruchamianie stron ASP.NET na
Uniksie z serwerem Apache i Mono.

%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1

%build
# Build Apache Module
%{__libtoolize}
%{__aclocal}
%{__autoconf} -I m4
%{__automake}

%configure \
	CFLAGS="%{rpmcflags} -D_GNU_SOURCE -D_LARGEFILE64_SOURCE" \
	--with-apxs=%{apxs} \
	--with-apr-config=%{_bindir}/apr-1-config \
	--with-apu-config=%{_bindir}/apu-1-config

%{__make} \
	DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apacheconfdir},%{apachelibdir},%{_mandir}/man8}

install src/.libs/%{mod_name}.so $RPM_BUILD_ROOT%{apachelibdir}
install man/%{mod_name}.8 $RPM_BUILD_ROOT%{_mandir}/man8

cat > $RPM_BUILD_ROOT%{apacheconfdir}/70_mod_%{mod_name}.conf <<'EOF'
LoadModule mono_module modules/%{mod_name}.so
MonoApplications "/asp_net:%{_httpdir}/asp_net"
Alias /asp_net "%{_httpdir}/asp_net"
<Location /asp_net>
	SetHandler mono
</Location>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
    %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL NEWS README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{apachelibdir}/mod_mono.so
%{_mandir}/man8/mod_mono.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_mono.spec,v $
Revision 1.63  2011/02/21 16:05:33  qboosh
- updated to 2.10

Revision 1.62  2011/01/29 00:06:07  sparky
- dropped pre-cvs changelog

Revision 1.61  2011/01/12 08:11:57  qboosh
- updated to 2.8.2

Revision 1.60  2010/10/19 21:06:48  qboosh
- updated to 2.8

Revision 1.59  2010/09/26 14:28:56  qboosh
- updated to 2.6.3

Revision 1.58  2009/07/04 16:39:35  marcus
- up to 2.4.2

Revision 1.57  2009/04/22 07:45:39  marcus
- addedd restart httpd
- req. xsp >= 2.4

Revision 1.56  2009/04/21 19:29:54  marcus
- up to 2.4

Revision 1.55  2009/02/09 17:30:54  duddits
- up to 2.2

Revision 1.54  2008/10/25 15:50:01  blues
- HTTP group

Revision 1.53  2008/06/18 23:16:40  qboosh
- updated to 1.9

Revision 1.52  2008/02/09 21:00:47  qboosh
- unified License format

Revision 1.51  2007-12-26 18:09:39  glen
- use conf.d for apache config fragment; rel 2

Revision 1.50  2007-12-15 20:33:51  qboosh
- License is Apache 2.0

Revision 1.49  2007-12-15 20:32:37  qboosh
- updated to 1.2.6
- removed obsolete apu-config patch

Revision 1.48  2007-12-09 10:42:23  glen
- apache-apxs -> %{apxs} in BR

Revision 1.47  2007-06-07 10:53:16  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.46  2007/05/16 18:27:31  qboosh
- updated to 1.2.4
- updated apu-config patch

Revision 1.45  2007/02/17 17:04:12  qboosh
- updated to 1.2.1
- updated apu-config patch, removed obsolete apr_fixes patch
- EA i386, not alpha

Revision 1.44  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.42  2005/12/27 00:30:19  glen
- unified
- add missing pkgconfig BR

Revision 1.41  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.40  2005/11/13 18:28:35  pawcioos
- updated to 1.1.10

Revision 1.39  2005/10/24 06:45:37  pawcioos
- updated to 1.1.9.2

Revision 1.38  2005/09/24 09:51:28  pawcioos
- updated to 1.1.9.1

Revision 1.37  2005/09/10 07:06:04  pawcioos
- updated to 1.1.9

Revision 1.36  2005/05/14 22:26:57  pawcioos
- updated Source0

Revision 1.35  2005/05/14 22:09:50  pawcioos
- updated to 1.0.9

Revision 1.34  2005/04/28 12:40:31  orzech
- up to 1.0.8

Revision 1.33  2005/03/23 17:18:06  glen
- dropped SourceX-size

Revision 1.32  2005/02/27 10:43:02  pawcioos
- updated to 1.0.6

Revision 1.31  2004/12/28 16:35:58  areq
- 1.0.5

Revision 1.30  2004/11/20 18:09:32  qboosh
- apr patch requires apr1-based apache

Revision 1.29  2004/11/20 10:14:16  mmazur
- forgot about md5sum

Revision 1.28  2004/11/20 01:23:41  mmazur
- up to 1.0.4 - fixes all over the place - works :)

Revision 1.27  2004/11/04 20:22:40  paladine
- spaces->tabs

Revision 1.26  2004/10/11 12:22:31  paszczus
- updated Source0 md5
- added Source0-size

Revision 1.25  2004/10/11 08:56:58  paszczus
- cosmetics

Revision 1.24  2004/09/19 18:30:50  radek
- unified (untested)

Revision 1.23  2004/08/20 09:22:38  krzak
- ExcludeArch:	alpha

Revision 1.22  2004/08/05 10:56:35  krzak
- up to 1.0.1
- rel 0.9 - allmost finish.. the only problem is to get it restart/shutdown
  when apache is restaring.

Revision 1.21  2004/07/09 13:58:13  krzak
- TODO added

Revision 1.20  2004/07/06 20:18:46  krzak
- XSP package separated, and Required
- default directory changed to asp_net
- rel. 0.10

Revision 1.19  2004/07/06 10:22:37  krzak
- BR,R mono replaced with mono-csharp package, mcs is necessary to work mod_mono

Revision 1.18  2004/07/06 10:07:01  krzak
- BR,R mono >= 1.0

Revision 1.17  2004/07/06 09:44:01  krzak
- %attr(750,http,http) %dir %{_httpdir}/mono

Revision 1.16  2004/07/06 09:35:03  krzak
- %dir %{_httpdir}/mono

Revision 1.15  2004/07/06 09:03:40  qboosh
- removed dup

Revision 1.14  2004/07/06 08:57:19  krzak
- samples moved to {_examplesdir}
- %doc with xsp files

Revision 1.13  2004/07/05 22:36:24  krzak
- rel 0.9
- fixed installation process, and configuration file
- test files are placed by default in %{_httpdir}/mono/test
- it's working !

Revision 1.12  2004/07/05 21:42:36  krzak
- up to 1.0
- rel 0.1

Revision 1.11  2003/08/11 20:17:55  malekith
- up to 0.3.7
- now it builds, loads into apache, and SEGV :/

Revision 1.10  2003/08/06 16:11:53  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.9  2003/07/15 11:28:00  qboosh
- changed Name to standard scheme

Revision 1.8  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.7  2003/06/10 13:57:52  ankry
- COPYING removed

Revision 1.6  2003/06/10 13:42:18  ankry
- updated xsp

Revision 1.5  2003/06/10 13:27:37  ankry
- cleaning, added URL & md5
- use default versionning: Epoch 1, Version 0.3

Revision 1.4  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/27 22:03:59  qboosh
- adapterized, pl description, some cleanups
